fop 1.1

## org.apache.fop.fo.properties
Class ListProperty.Maker

    java.lang.Object
      org.apache.fop.fo.properties.PropertyMaker
          org.apache.fop.fo.properties.ListProperty.Maker

All Implemented Interfaces:
  java.lang.Cloneable

Direct Known Subclasses:
  BackgroundPositionShorthand.Maker, TextDecorationMaker

Enclosing class:
  ListProperty

    public static class ListProperty.Maker

extends PropertyMaker

Inner class for creating instances of `ListProperty`

Field Summary

Fields inherited from class org.apache.fop.fo.properties.PropertyMaker
`contextDep, corresponding, defaultProperty, defaultValue, propId, setByShorthand`

Constructor Summary
`ListProperty.Maker(int propId)` Create a maker for the given property id.

Method Summary
`Property` `convertProperty(Property p, PropertyList propertyList, FObj fo)` Return a Property object based on the passed Property object.

Methods inherited from class org.apache.fop.fo.properties.PropertyMaker

`addEnum, addKeyword, addShorthand, addSubpropMaker, checkEnumValues, checkValueKeywords, clone, compute, convertPropertyDatatype, convertShorthandProperty, findProperty, get, getName, getPercentBase, getPropId, getShorthand, getSubprop, getSubpropMaker, isInherited, make, make, make, makeNewProperty, setByShorthand, setCorresponding, setDatatypeParser, setDefault, setDefault, setInherited, setPercentBase, setSubprop, useGeneric`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListProperty.Maker

    public ListProperty.Maker(int propId)

  Create a maker for the given property id.

  Parameters:
    `propId` - ID of the property for which Maker should be created

Method Detail

### convertProperty

    public Property convertProperty(Property p,
                                    PropertyList propertyList,
                                    FObj fo)
                             throws PropertyException

  Return a Property object based on the passed Property object. This method is called if the Property object built by the parser isn't the right type for this property. It is overridden by subclasses.

  Overrides:
    `convertProperty` in class `PropertyMaker`
  Parameters:
    `p` - The Property object return by the expression parser
    `propertyList` - The PropertyList object being built for this FO.
    `fo` - The parent FO for the FO whose property is being made.
  Returns:
    A Property of the correct type or null if the parsed value can't be converted to the correct type.
  Throws:
    `PropertyException` - for invalid or inconsistent FO input

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.